00:00
00:00

Reviews for "Four Second Firestorm"

lame...

this must be the worlds best game that most people can't play...sigh...

Do you need 9?

I'm guessing it only works on Flash Player 9. I have version ten, and so does everyone else. You really should fix this.

I have 10 too!!!!

My bro. says that we have Flash Player 10. It says it's 8 or earlier?!?!? wtf

wtf

it says i need flash player 9 i have 10
it worked a few weeks ago y doesnt it work now >:(

but when it did work... this games pretty badass

WTF I have flash 10

the best game ever can't be played. Fix. NOW >:(